
Redmine - Patch #41569

Use custom properies to font-family

2024-10-24 01:03 - Takashi Kato

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

This is a patch to unify font family settings with custom properties so that fonts in style sheets can be easily changed.

This makes it easier to change settings when you want to avoid using web fonts, such as in environments with many mobile users.

Related issues:

Related to Redmine - Feature #41321: Improve readability by refining font siz... Closed

Associated revisions

Revision 23159 - 2024-10-24 06:24 - Go MAEDA

Introduce `--fonts-main` CSS variable for easier customization of main fonts (#41321, #41569).

Patch by Takashi Kato (user:tohosaku).

History

#1 - 2024-10-24 06:17 - Go MAEDA

- Related to Feature #41321: Improve readability by refining font sizes and switching to Noto Sans font added

#2 - 2024-10-24 06:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the change in r23159 as a part of #41321. Thank you.

Files

0001-Use-custom-properies-to-font-family.patch 4.68 KB 2024-10-23 Takashi Kato
